/* LIBGIMP - The GIMP Library
 * Copyright (C) 1995-2003 Peter Mattis and Spencer Kimball
 *
 * gimppainttools_pdb.h
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 */

/* NOTE: This file is autogenerated by pdbgen.pl */

#ifndef __GIMP_PAINT_TOOLS_PDB_H__
#define __GIMP_PAINT_TOOLS_PDB_H__

G_BEGIN_DECLS

/* For information look into the C source or the html documentation */


gboolean gimp_airbrush           (gint32                    drawable_ID,
				  gdouble                   pressure,
				  gint                      num_strokes,
				  const gdouble            *strokes);
gboolean gimp_airbrush_default   (gint32                    drawable_ID,
				  gint                      num_strokes,
				  const gdouble            *strokes);
gboolean gimp_clone              (gint32                    drawable_ID,
				  gint32                    src_drawable_ID,
				  GimpCloneType             clone_type,
				  gdouble                   src_x,
				  gdouble                   src_y,
				  gint                      num_strokes,
				  const gdouble            *strokes);
gboolean gimp_clone_default      (gint32                    drawable_ID,
				  gint                      num_strokes,
				  const gdouble            *strokes);
gboolean gimp_convolve           (gint32                    drawable_ID,
				  gdouble                   pressure,
				  GimpConvolveType          convolve_type,
				  gint                      num_strokes,
				  const gdouble            *strokes);
gboolean gimp_convolve_default   (gint32                    drawable_ID,
				  gint                      num_strokes,
				  const gdouble            *strokes);
gboolean gimp_dodgeburn          (gint32                    drawable_ID,
				  gdouble                   exposure,
				  GimpDodgeBurnType         dodgeburn_type,
				  GimpTransferMode          dodgeburn_mode,
				  gint                      num_strokes,
				  const gdouble            *strokes);
gboolean gimp_dodgeburn_default  (gint32                    drawable_ID,
				  gint                      num_strokes,
				  const gdouble            *strokes);
gboolean gimp_eraser             (gint32                    drawable_ID,
				  gint                      num_strokes,
				  const gdouble            *strokes,
				  GimpBrushApplicationMode  hardness,
				  GimpPaintApplicationMode  method);
gboolean gimp_eraser_default     (gint32                    drawable_ID,
				  gint                      num_strokes,
				  const gdouble            *strokes);
gboolean gimp_paintbrush         (gint32                    drawable_ID,
				  gdouble                   fade_out,
				  gint                      num_strokes,
				  const gdouble            *strokes,
				  GimpPaintApplicationMode  method,
				  gdouble                   gradient_length);
gboolean gimp_paintbrush_default (gint32                    drawable_ID,
				  gint                      num_strokes,
				  const gdouble            *strokes);
gboolean gimp_pencil             (gint32                    drawable_ID,
				  gint                      num_strokes,
				  const gdouble            *strokes);
gboolean gimp_smudge             (gint32                    drawable_ID,
				  gdouble                   pressure,
				  gint                      num_strokes,
				  const gdouble            *strokes);
gboolean gimp_smudge_default     (gint32                    drawable_ID,
				  gint                      num_strokes,
				  const gdouble            *strokes);


G_END_DECLS

#endif /* __GIMP_PAINT_TOOLS_PDB_H__ */
