/* The GIMP -- an image manipulation program
 * Copyright (C) 1995 Spencer Kimball and Peter Mattis
 *
 * Datafiles module copyight (C) 1996 Federico Mena Quintero
 * federico@nuclecu.unam.mx
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */

#ifndef __GIMP_DATAFILES_H__
#define __GIMP_DATAFILES_H__

#include <time.h>


struct _GimpDatafileData
{
  const gchar *filename;
  const gchar *basename;

  time_t       atime;
  time_t       mtime;
  time_t       ctime;
};


gboolean   gimp_datafiles_check_extension  (const gchar            *filename,
					    const gchar            *extension);

void       gimp_datafiles_read_directories (const gchar            *path_str,
					    GFileTest               flags,
					    GimpDatafileLoaderFunc  loader_func,
					    gpointer                user_data);


#endif  /*  __GIMP_DATAFILES_H__ */
